> For the complete documentation index, see [llms.txt](https://docs.sharinpix.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sharinpix.com/documentation/cookbook/generate-sharinpix-mobile-url.md).

# Generate SharinPix Mobile URL

The following article will show how it is possible to generate a SharinPix Mobile URL that will launch the SharinPix Offline Mobile application.

The method package SharinPix comes along with a utility method named **generateMobileAppUrl** that takes as parameters:

* **albumId:** corresponds to the album where photos, shot by the SharinPix offline Mobile application, are uploaded to.
* **options:** refers to a Map data structure that contains the name of the Job (**name**) and the **expiration** value, in seconds, of the SharinPix Mobile URL (**linkExpiration**). It also includes other mobile parameters using the key (**claims**) with a Map of keys that should be present in the token.

The code snippet below shows how this method is used to generate the url:

```apex
String albumId = 'insert_your_album_id';
String name = 'job1';
Integer linkExpiration = 100;

Map<String, Object> options = new Map<String, Object> {
    'name' => name,
    'linkExpiration' => linkExpiration
};

sharinpix.Utils util = new sharinpix.Utils();
String mobileAppURL = util.generateMobileAppUrl(albumId, options);
```

If tokens should not contain a userId, the parameter '**anonymousUser** ' should be added to claims section, as demonstrated below to remove any user association.

```apex
Map<String, Object> options = new Map<String, Object> {
    'name' => name,
    'linkExpiration' => linkExpiration,
    'claims' => new Map<String, Object> {
        'anonymousUser' => true //this removes any user association
    }
};
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sharinpix.com/documentation/cookbook/generate-sharinpix-mobile-url.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
